Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class StreamByteBuffer.StreamByteBufferOutputStream

    java.lang.Object
      java.io.OutputStream
          org.codehaus.groovy.grails.web.util.StreamByteBuffer.StreamByteBufferOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  StreamByteBuffer

     class StreamByteBuffer.StreamByteBufferOutputStream

extends OutputStream

Constructor Summary
`StreamByteBuffer.StreamByteBufferOutputStream()`

Method Summary
`void` | `close()`
`StreamByteBuffer` | `getBuffer()`
`boolean` | `isClosed()`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamByteBuffer.StreamByteBufferOutputStream

    StreamByteBuffer.StreamByteBufferOutputStream()

Method Detail

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

### isClosed

    public boolean isClosed()

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### getBuffer

    public StreamByteBuffer getBuffer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project